Loading...
Searching...
No Matches
SqlUtil::AbstractSavepointHelper Class Reference

Abstract base class for savepoint helpers for epheremal transaction support. More...

`#include <AbstractSavepointHelper.qc.dox.h>`

## Public Member Functions

| constructor (AbstractDatasource ds, *string savepoint)
| Creates the object.
| destructor ()
| Deletes the savepoint.
| rollback ()
| Rolls back to the savepoint.

## Protected Member Functions

abstract | createSavepointImpl ()
| Creates the savepoint.
abstract | deleteSavepointImpl ()
| Deletes the savepoint.
abstract | rollbackImpl ()
| Rolls back to the savepoint.

## Protected Attributes

AbstractDatasource | ds
| The datasource where the transaction is handled.
string | savepoint
| The name of the savepoint.

## Detailed Description

Abstract base class for savepoint helpers for epheremal transaction support.